2022-07-21 18:13:02

by Josh Poimboeuf

[permalink] [raw]
Subject: [PATCH 2/2] scripts/faddr2line: Add CONFIG_DEBUG_INFO check

Otherwise without DWARF it spits out gibberish and gives no indication
of what the problem is.

Suggested-by: John Garry <[email protected]>
Signed-off-by: Josh Poimboeuf <[email protected]>
---
scripts/faddr2line | 3 +++
1 file changed, 3 insertions(+)

diff --git a/scripts/faddr2line b/scripts/faddr2line
index 57099687e5e1..5514c23f45c2 100755
--- a/scripts/faddr2line
+++ b/scripts/faddr2line
@@ -61,6 +61,7 @@ die() {
READELF="${CROSS_COMPILE:-}readelf"
ADDR2LINE="${CROSS_COMPILE:-}addr2line"
AWK="awk"
+GREP="grep"

command -v ${AWK} >/dev/null 2>&1 || die "${AWK} isn't installed"
command -v ${READELF} >/dev/null 2>&1 || die "${READELF} isn't installed"
@@ -271,6 +272,8 @@ LIST=0
[[ ! -f $objfile ]] && die "can't find objfile $objfile"
shift

+${READELF} --section-headers --wide $objfile | ${GREP} -q '\.debug_info' || die "CONFIG_DEBUG_INFO not enabled"
+
DIR_PREFIX=supercalifragilisticexpialidocious
find_dir_prefix $objfile

--
2.36.1


2022-07-22 08:45:02

by John Garry

[permalink] [raw]
Subject: Re: [PATCH 2/2] scripts/faddr2line: Add CONFIG_DEBUG_INFO check

On 21/07/2022 19:01, Josh Poimboeuf wrote:
> Otherwise without DWARF it spits out gibberish and gives no indication
> of what the problem is.
>
> Suggested-by: John Garry <[email protected]>
> Signed-off-by: Josh Poimboeuf <[email protected]>

Seems to work fine, thanks

Tested-by: John Garry <[email protected]>

> ---
> scripts/faddr2line | 3 +++
> 1 file changed, 3 insertions(+)
>
> diff --git a/scripts/faddr2line b/scripts/faddr2line
> index 57099687e5e1..5514c23f45c2 100755
> --- a/scripts/faddr2line
> +++ b/scripts/faddr2line
> @@ -61,6 +61,7 @@ die() {
> READELF="${CROSS_COMPILE:-}readelf"
> ADDR2LINE="${CROSS_COMPILE:-}addr2line"
> AWK="awk"
> +GREP="grep"
>
> command -v ${AWK} >/dev/null 2>&1 || die "${AWK} isn't installed"
> command -v ${READELF} >/dev/null 2>&1 || die "${READELF} isn't installed"
> @@ -271,6 +272,8 @@ LIST=0
> [[ ! -f $objfile ]] && die "can't find objfile $objfile"
> shift
>
> +${READELF} --section-headers --wide $objfile | ${GREP} -q '\.debug_info' || die "CONFIG_DEBUG_INFO not enabled"
> +
> DIR_PREFIX=supercalifragilisticexpialidocious
> find_dir_prefix $objfile
>

Subject: [tip: perf/urgent] scripts/faddr2line: Add CONFIG_DEBUG_INFO check

The following commit has been merged into the perf/urgent branch of tip:

Commit-ID: a41a2e2e34a907bd8979a53c58f44287630616e8
Gitweb: https://git.kernel.org/tip/a41a2e2e34a907bd8979a53c58f44287630616e8
Author: Josh Poimboeuf <[email protected]>
AuthorDate: Thu, 21 Jul 2022 11:01:24 -07:00
Committer: Ingo Molnar <[email protected]>
CommitterDate: Tue, 02 Aug 2022 22:08:17 +02:00

scripts/faddr2line: Add CONFIG_DEBUG_INFO check

Otherwise without DWARF it spits out gibberish and gives no indication
of what the problem is.

Suggested-by: John Garry <[email protected]>
Signed-off-by: Josh Poimboeuf <[email protected]>
Signed-off-by: Ingo Molnar <[email protected]>
Tested-by: John Garry <[email protected]>
Link: https://lore.kernel.org/r/ffa7734c929445caa374bf9e68078300174f09b4.1658426357.git.jpoimboe@kernel.org
---
scripts/faddr2line | 3 +++
1 file changed, 3 insertions(+)

diff --git a/scripts/faddr2line b/scripts/faddr2line
index 5709968..5514c23 100755
--- a/scripts/faddr2line
+++ b/scripts/faddr2line
@@ -61,6 +61,7 @@ die() {
READELF="${CROSS_COMPILE:-}readelf"
ADDR2LINE="${CROSS_COMPILE:-}addr2line"
AWK="awk"
+GREP="grep"

command -v ${AWK} >/dev/null 2>&1 || die "${AWK} isn't installed"
command -v ${READELF} >/dev/null 2>&1 || die "${READELF} isn't installed"
@@ -271,6 +272,8 @@ LIST=0
[[ ! -f $objfile ]] && die "can't find objfile $objfile"
shift

+${READELF} --section-headers --wide $objfile | ${GREP} -q '\.debug_info' || die "CONFIG_DEBUG_INFO not enabled"
+
DIR_PREFIX=supercalifragilisticexpialidocious
find_dir_prefix $objfile